PlexySDK DOCS
API EndpointsPayments

Start a transaction

POST
/payments

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://api.plexypay.com/v2/payments" \  -H "Content-Type: application/json" \  -d '{}'
{
  "additionalData": {
    "recurringProcessingModel": "CardOnFile",
    "paymentMethod": "visa",
    "networkTxReference": "067781471736078",
    "isCardCommercial": "unknown"
  },
  "pspReference": "BNV58BSJF9WQ5K65",
  "resultCode": "Authorised",
  "amount": {
    "currency": "string",
    "value": 0
  },
  "merchantReference": "flutter-test_1759312616273",
  "paymentMethod": {
    "brand": "string",
    "brands": [
      "string"
    ],
    "configuration": {},
    "fundingSource": "string",
    "group": "string",
    "name": "string",
    "type": "string"
  },
  "action": {
    "method": "GET",
    "paymentMethodType": "scheme",
    "type": "redirect",
    "url": "https://checkoutshopper-test.adyen.com/checkoutshopper/threeDS/redirect?MD=M2R..."
  }
}